#charset "us-ascii"
#include <adv3.h>
#include <en_us.h>

// harry, main character
harry: Actor 'harry' 'Harry'
    ""
    isProperName = true
    pcReferralPerson = ThirdPerson
    location = streetCorner
;
+ wallet;
+ pocket: Container 'pocket' 'pocket'
    "Harry's pockect."
;

// harry's wallet
wallet: OpenableContainer /*, Dispenser*/ 'wallet' 'wallet'
    "A worn leather bifold wallet. "
    initiallyOpen = true
    material = 'worn leather'
    canReturnItem = true
;
+ creditCard;
+ debitCard;
    
creditCard: Thing 'credit card*cards' 'credit card'
    "A credit card"
;
debitCard: Thing 'debit card*cards' 'debit card'
    "A bank-issued debit card"
    dobjFor(PutIn)
    {
        action()
        {
            if(gIobj.ofKind(atm))
            {
                say('When Harry inserts the debit card into the machine, it
                    becomes operational. Harry enters his PIN and withdraws 
                    $100 in 20s, retrieves the card, and puts it back into 
                    his wallet. ');
                atm.loadWallet();
                self.moveInto(wallet);
            }
        }
    }
;
